<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

unset($_SESSION['preparacionSecuenciaCajasActuales']);

if($_GET['prefijo']) $prefijo=$_GET['prefijo']; else $prefijo=$_POST['prefijo'];
if($_GET['primera']) $primera=$_GET['primera']; else $primera=$_POST['primera'];
if($_GET['ultima']) $ultima=$_GET['ultima']; else $ultima=$_POST['ultima'];
if($_GET['orden']) $orden=$_GET['orden']; else $orden=$_POST['orden'];

$respuesta='';

for($i=$primera; $i<=$ultima; $i++) {
	
	$caja=$prefijo.str_pad($i,6,"0",STR_PAD_LEFT); 
	$_SESSION['preparacionSecuenciaCajasActuales'][]=$caja;
	
	$peticion='SGAInfoCaja#'.$_SESSION['empresa'].'#'.$caja;
	$proveedores=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	$infoCaja=$resultado[0];
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	if( $infoCaja['Error'] ) $respuesta.=$caja." ".$infoCaja['Error'].'<br>';
	else if($infoCaja['NumeroOrden']!='OK' && $infoCaja['NumeroOrden']!=$orden) $respuesta.='La caja '.$caja.' está asociada a la Orden '.$infoCaja['NumeroOrden'].'<br>';

}

if($_GET['traza']=='si') { ?><p>Resultado:</p> <?php }

if($respuesta) {
	unset($_SESSION['preparacionSecuenciaCajasActuales']);
	echo $respuesta;
}
else {
	echo 'OK';
}
?>
